Skip to main content
GET
/
api
/
v1
/
transactions
Get transactions
curl --request GET \
  --url https://api.dancity.app/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Transactions retrieved successfully",
  "data": {
    "transactions": [
      {
        "_id": "6a1c3e3de285680cc3b7d2ba",
        "tranxId": "DNTY8374056F678V",
        "service": "DATA",
        "product": "MTN GIFTING",
        "tranxType": "DEBIT",
        "status": "FAILED",
        "currency": "NGN",
        "remarks": "MTN GIFTING 40MB for 1 Day",
        "amount": 50,
        "fee": 0,
        "amountPaid": 50,
        "balanceBefore": 5276,
        "balanceAfter": 5226,
        "number": "09037346247",
        "customerRef": "DATA-REF-001",
        "channel": "API",
        "paymentMedium": "MAIN WALLET",
        "tranxDate": "2026-05-31T13:57:17.405Z",
        "apiResponse": "Sorry, you are not allowed to migrate to Betamix Bundle Mini Plan. Thank you! — Oh dear! It seems xxxxxxxxxxx is not eligible for this bundle. Please select a new bundle and try again",
        "isReversal": false,
        "quantity": 0,
        "createdAt": "2026-05-31T13:57:17.407Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 10,
      "total": 57,
      "totalPages": 6,
      "hasPrevious": false,
      "hasNext": true
    }
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Query Parameters

page
integer
default:1
limit
integer
default:10
Required range: x <= 100
start_date
string<date-time>
end_date
string<date-time>

Response

OK